org.eclipse.jetty.security

## Interface MappedLoginService.UserPrincipal

All Superinterfaces:
  Principal, Serializable

All Known Implementing Classes:
  MappedLoginService.Anonymous, MappedLoginService.KnownUser

Enclosing class:
  MappedLoginService

    public static interface MappedLoginService.UserPrincipal
    extends Principal, Serializable

### Method Summary

Methods
`boolean` `authenticate(Object credentials)`
`boolean` `isAuthenticated()`

### Methods inherited from interface java.security.Principal

`equals, getName, hashCode, toString`

### Method Detail

#### authenticate

    boolean authenticate(Object credentials)

#### isAuthenticated

    boolean isAuthenticated()